local sugarTrade = ...

-- Register an addition neighbour to trade with. 
sugarTrade:register({
	DataType = "TRADING_VILLAGE",
	Id = "VILLAGE_NICOSIA",

	VillageName = "Nicosia",
	--RESOURCE QUANTITY PAIR
	UnlockCost = { 
		{ Resource = "GOLD", Quantity = 300 }
	},
	
	--BUYING RESOURCE TRADING INFO
	BuyingResourceList = { 
		{
			ResourceMaxAmount = { Resource = "HONEY", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 20 }
		},
		{
			ResourceMaxAmount = { Resource = "HERBS", Quantity = 30 },
			UnitPrice = { Resource = "GOLD", Quantity = 15 }
		}
	},
	
	--SELLING RESOURCE TRADING INFO
	SellingResourceList = {
		{
			ResourceMaxAmount = { Resource = "SUGAR", Quantity = 25 },
			UnitPrice = { Resource = "GOLD", Quantity = 20 },
		}
	},	
	Allegeance = "LABOUR"
})

-- Override default village list
sugarTrade:override({
	Id = "VILLAGE_LIST_DEFAULT",
	TradingVillageList = {
		Action = "APPEND",
		"VILLAGE_NICOSIA"
	}
})